<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="xsl" 
	xmlns:cdm="http://cdm-fr.fr/2011/CDM-frSchema/" 
	xsi:schemaLocation="http://cdm-fr.fr/2006/CDM-frSchema/ http://cdm-fr.fr/cdm/2006/schemas/CDM-fr.xsd">
	
	<!-- TRAITEMENT PAR DEFAUT : COPIE DES ELEMENTS -->
	<xsl:template match="*" mode="custom">
		<xsl:element name="cdm:{name()}">
			<xsl:apply-templates select="@* | comment()" mode="custom"/>
			<xsl:apply-templates select="* | text()" mode="custom"/>
		</xsl:element>
	</xsl:template>
	<!--<xsl:template match="text()" mode="custom">
		<xsl:value-of select="translate(.,'&#x2019;&#180;&#92;',&quot;'''&quot;)"/>
	</xsl:template>-->
	<!-- TRAITEMENT PAR DEFAUT : COPIE DES ATTRIBUTS ET ELEMENTS -->
	<xsl:template match="@* | comment() | text()" mode="custom">
		<xsl:copy>
			<xsl:apply-templates select="@* | comment() | text()" mode="custom"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="* | @* | text() | comment()">
		<xsl:copy>
			<xsl:apply-templates select="*|@* | comment() | text()"/>
		</xsl:copy>
	</xsl:template>
	<!-- PRISE EN CHARGE DU TEMPLATE CUSTOM POINT D'ENTREE -->
	<!-- DEFINITION DU CONTENU DU RECORD OAI POUR LE PREFIXE CDM -->
	<xsl:template name="cdm_template">
		<cdm:CDM xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
				 xmlns:cdm="http://cdm-fr.fr/2011/CDM-frSchema" 
				 xsi:schemaLocation="http://cdm-fr.fr/2011/CDM-frSchema http://cdm-fr.fr/cdm/2010/schemas/CDM-fr.xsd">
			<xsl:copy-of select="/CDM/@*"/>
			
			<cdm:orgUnit>
				<xsl:attribute name="id"><xsl:value-of select="/CDM/orgUnit[1]/@id"/></xsl:attribute>
				<xsl:apply-templates select="/CDM/orgUnit[1]/orgUnitName" mode="custom"/>
			</cdm:orgUnit>
			
			<cdm:program id="{$oid}" ident="{$oid}">
				<!-- LIBELLE PROGRAMME -->
				<cdm:programName>
					<cdm:text language="fr-FR">
						<xsl:apply-templates select="key('formation', $oid)/programName/text[@language=$_lang or not(@language)]"/>
					</cdm:text>
				</cdm:programName>
				
				<!-- LEARNINGOBJECTIVES -->
				<cdm:learningObjectives>
					<cdm:subBlock blockLang="fr-FR">
						<xsl:call-template name="tLearningObjectivesInfoBlockType">
							<xsl:with-param name="pNode" select="key('formation', $oid)"/>
						</xsl:call-template>
					</cdm:subBlock>
				</cdm:learningObjectives>
				<!-- INFOBLOCK -->
				
				<!-- DESCRIPTION PROGRAMME -->
				<cdm:description>
					<cdm:subBlock blockLang="fr-FR">
						<xsl:apply-templates select="key('formation',$oid)/programIntroduction[@blockLang=$_lang or not(@blockLang)]"/>
					</cdm:subBlock>
				</cdm:description>
				
				<!-- TYPE DE DIPLOME -->
				<cdm:qualification>
					<cdm:degree>
						<xsl:value-of select="key('formation',$oid)/qualification/degree/@degree"/>
					</cdm:degree>
				</cdm:qualification>
				
				<!-- MOTS-CLES -->
				<xsl:apply-templates select="key('formation', $oid)/searchword" mode="custom"/>
			</cdm:program>
		</cdm:CDM>
	</xsl:template>
	
	<!-- TRAITEMENT DU LIEN -->
	<xsl:template match="link" mode="custom">
		<cdm:link>
			<xsl:call-template name="url"/>
		</cdm:link>
	</xsl:template>
	<xsl:template match="header" mode="custom"/>
	
	<!-- TRAITEMENT URL -->
	<xsl:template name="url">
		<xsl:value-of select="$url"/>/fr-FR/fiche/description/<xsl:value-of select="/CDM/program[1]/@id"/>
	</xsl:template>
	
</xsl:stylesheet>
